### Method

# Adw Breakpointadd_settersv

since: 1.4

#### Declaration [src]

    void
    adw_breakpoint_add_settersv (
      AdwBreakpoint* self,
      int n_setters,
      GObject** objects,
      const char** names,
      const GValue** values
    )

#### Description [src]

Adds `n_setters` setters to `self`.

This is a convenience function for adding multiple setters at once.

See `adw_breakpoint_add_setter()`.

This function is meant to be used by language bindings.

Available since: 1.4

This method is renamed to `adw_breakpoint_add_setters()` in language bindings

#### Parameters

`n_setters`

  Type: `int`

  The number of setters to add.

`objects`

  Type: An array of `GObject*`

  Setter target object.

  The length of the array is specified in the `n_setters` argument.
  The data is owned by the caller of the method.

`names`

  Type: An array of `char*`

  Setter target properties.

  The length of the array is specified in the `n_setters` argument.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`values`

  Type: An array of `GValue*`

  Setter values.

  The length of the array is specified in the `n_setters` argument.
  The data is owned by the caller of the method.